:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

:: Decodes Fiery JMF MIME files

:: Hans Sep November 2017

:: Fiery JobFlow provided arguments
set INPUT=%~1
set OUTPUT=%~2
set JOBNAME=%~n3
set WORKFLOW=%~4
set PREFLIGHT=%~5
set VAULT=%~6

:: Static arguments
set pathScript=%~dp0
set ScriptName=%~n0
set pathLog=%VAULT%\%ScriptName%.log
set pathInclude=%pathScript%\_include

:: Helper Apps
:: #mime#
set pathMimeDecode=%pathInclude%\mime\munpack.exe
if not exist %pathMimeDecode% call :missing_mimedecode & exit /b 1

:main
call :mime_copy
call :mime_decode
call :next_module

:success 
>>%pathLog% echo %DATE% %TIME% [INFO] Done
exit /b 0

:mime_copy
:: Copy original JMF MIME to vault
>>%pathLog% echo %DATE% %TIME% [INFO] Copy %INPUT% to %VAULT%
copy /y "%INPUT%" "%VAULT%"
goto :EOF

:mime_decode
:: Decode JMF MIME to vault
>>%pathLog% echo %DATE% %TIME% [INFO] Decode %INPUT% to %VAULT%
>>%pathLog% %pathMimeDecode% -t -C "%VAULT%" "%INPUT%"
>>%pathLog% echo %DATE% %TIME% [INFO] Copy %VAULT%\part2 to %VAULT%\%JOBNAME%.jdf
copy /y "%VAULT%\part2" "%VAULT%\%JOBNAME%.jdf"
goto :EOF

:next_module
copy /y "%VAULT%\*.pdf" "%OUTPUT%"
>>%pathLog% echo %DATE% %TIME% [INFO] Copied %VAULT%\*.pdf to %OUTPUT%
goto :EOF

:missing_mimedecode
>>%pathLog% echo %DATE% %TIME% [ERROR] Cannot find %pathMimeDecode%. Exit script.
goto :EOF